| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | List of all members
cv::AffineTransformer Class Referenceabstract
Shape Distance and Matching

Wrapper class for the OpenCV Affine Transformation algorithm. : More...

`#include <opencv2/shape/shape_transformer.hpp>`

Inheritance diagram for cv::AffineTransformer:

## Public Member Functions
virtual bool | getFullAffine () const =0
virtual void | setFullAffine (bool fullAffine)=0
Public Member Functions inherited from cv::ShapeTransformer
virtual float | applyTransformation (InputArray input, OutputArray output=noArray())=0
| Apply a transformation, given a pre-estimated transformation parameters. More...
virtual void | estimateTransformation (InputArray transformingShape, InputArray targetShape, std::vector< DMatch > &matches)=0
| Estimate the transformation parameters of the current transformer algorithm, based on point matches. More...
virtual void | warpImage (InputArray transformingImage, OutputArray output, int flags=INTER_LINEAR, int borderMode=BORDER_CONSTANT, const Scalar &borderValue=Scalar()) const =0
| Apply a transformation, given a pre-estimated transformation parameters, to an Image. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Wrapper class for the OpenCV Affine Transformation algorithm. :

## Member Function Documentation

## § getFullAffine()

virtual bool cv::AffineTransformer::getFullAffine | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.AffineTransformer.getFullAffine( |  | )

## § setFullAffine()

virtual void cv::AffineTransformer::setFullAffine | ( | bool | fullAffine | ) |
| pure virtual

Python:
| None | = | cv.AffineTransformer.setFullAffine( | fullAffine | )

The documentation for this class was generated from the following file:

- opencv2/shape/shape_transformer.hpp